Bug 235799 - net-im/uTox: Fix push to talk
Summary: net-im/uTox: Fix push to talk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-17 09:27 UTC by Darren Mulligan
Modified: 2019-04-20 10:40 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (portmaster)


Attachments
Patch to fix push to talk support. (1.98 KB, patch)
2019-02-17 09:27 UTC, Darren Mulligan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darren Mulligan 2019-02-17 09:27:45 UTC
Created attachment 202086 [details]
Patch to fix push to talk support.

Import upstream commit 22b183433c37d51867ec4eb55813ac2b1db6477c that adds support for push to talk on FreeBSD.

https://github.com/uTox/uTox/commit/22b183433c37d51867ec4eb55813ac2b1db6477c

Tested working and push to talk is now functional.
Comment 1 Tobias Kortkamp freebsd_committer 2019-02-23 03:44:24 UTC
Comment on attachment 202086 [details]
Patch to fix push to talk support.

+ #ifdef __linux__
+ #include <linux/input.h>
++#elif defined(__DragonFly__) || defined(__FreeBSD__)
++#include <linux/input.h>
++#endif

Have you sent this change upstream too?  How about doing it like
this?

#if defined(__linux__) || defined(__DragonFly__) || defined(__FreeBSD__)
#include <linux/input.h>
#endif

Please add a link to the upstream commit in the patch header.
Comment 2 commit-hook freebsd_committer 2019-04-19 19:08:38 UTC
A commit references this bug:

Author: swills
Date: Fri Apr 19 19:08:02 UTC 2019
New revision: 499385
URL: https://svnweb.freebsd.org/changeset/ports/499385

Log:
  net-im/uTox: Fix push to talk

  PR:		235799
  Submitted by:	Darren Mulligan <fixer@bsdmail.com>
  Approved by:	maintainer timeout (portmaster@bsdforge.com, >2 months)

Changes:
  head/net-im/uTox/Makefile
  head/net-im/uTox/files/patch-src_xlib_main.c
Comment 3 Steve Wills freebsd_committer 2019-04-19 19:09:24 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2019-04-20 10:40:10 UTC
A commit references this bug:

Author: tobik
Date: Sat Apr 20 10:39:17 UTC 2019
New revision: 499436
URL: https://svnweb.freebsd.org/changeset/ports/499436

Log:
  net-im/uTox: Add missing link to upstream commit to patch

  PR:		235799

Changes:
  head/net-im/uTox/files/patch-src_xlib_main.c